Package org.optaplanner.benchmark.impl.result

## Class SubSingleBenchmarkResult

- java.lang.Object
- - org.optaplanner.benchmark.impl.result.SubSingleBenchmarkResult

- All Implemented Interfaces:
    `BenchmarkResult`

      public class SubSingleBenchmarkResult
      extends Object
      implements BenchmarkResult

  Represents 1 benchmark run for 1 Single Benchmark configuration for 1 `Solver` configuration for 1 problem instance (data set).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubSingleBenchmarkResult​(SingleBenchmarkResult singleBenchmarkResult, int subSingleBenchmarkIndex)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accumulateResults​(BenchmarkReport benchmarkReport)` |
    `protected static SubSingleBenchmarkResult` | `createMerge​(SingleBenchmarkResult singleBenchmarkResult, SubSingleBenchmarkResult oldResult, int subSingleBenchmarkIndex)` |
    `Score<?>` | `getAverageScore()` |
    `Map<StatisticType,​SubSingleStatistic>` | `getEffectiveSubSingleStatisticMap()` |
    `String` | `getName()` |
    `List<PureSubSingleStatistic>` | `getPureSubSingleStatisticList()` |
    `Integer` | `getRanking()` |
    `File` | `getResultDirectory()` |
    `String` | `getResultDirectoryName()` |
    `Score<?>` | `getScore()` |
    `long` | `getScoreCalculationCount()` |
    `Long` | `getScoreCalculationSpeed()` |
    `String` | `getScoreExplanationSummary()` |
    `SingleBenchmarkResult` | `getSingleBenchmarkResult()` |
    `int` | `getSubSingleBenchmarkIndex()` |
    `SubSingleStatistic` | `getSubSingleStatistic​(StatisticType statisticType)` |
    `Boolean` | `getSucceeded()` |
    `long` | `getTimeMillisSpent()` |
    `Long` | `getUsedMemoryAfterInputSolution()` |
    `boolean` | `hasAllSuccess()` |
    `boolean` | `hasAnyFailure()` |
    `void` | `initSubSingleStatisticMap()` |
    `boolean` | `isInitialized()` |
    `boolean` | `isScoreFeasible()` |
    `boolean` | `isWinner()` |
    `void` | `makeDirs()` |
    `void` | `setPureSubSingleStatisticList​(List<PureSubSingleStatistic> pureSubSingleStatisticList)` |
    `void` | `setRanking​(Integer ranking)` |
    `void` | `setScore​(Score<?> score)` |
    `void` | `setScoreCalculationCount​(long scoreCalculationCount)` |
    `void` | `setScoreExplanationSummary​(String scoreExplanationSummary)` |
    `void` | `setSingleBenchmarkResult​(SingleBenchmarkResult singleBenchmarkResult)` |
    `void` | `setSucceeded​(Boolean succeeded)` |
    `void` | `setTimeMillisSpent​(long timeMillisSpent)` |
    `void` | `setUsedMemoryAfterInputSolution​(Long usedMemoryAfterInputSolution)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubSingleBenchmarkResult

          public SubSingleBenchmarkResult​(SingleBenchmarkResult singleBenchmarkResult,
                                          int subSingleBenchmarkIndex)

  - ### Method Detail

    - #### getPureSubSingleStatisticList

          public List<PureSubSingleStatistic> getPureSubSingleStatisticList()

    - #### setPureSubSingleStatisticList

          public void setPureSubSingleStatisticList​(List<PureSubSingleStatistic> pureSubSingleStatisticList)

    - #### initSubSingleStatisticMap

          public void initSubSingleStatisticMap()

    - #### getSingleBenchmarkResult

          public SingleBenchmarkResult getSingleBenchmarkResult()

    - #### setSingleBenchmarkResult

          public void setSingleBenchmarkResult​(SingleBenchmarkResult singleBenchmarkResult)

    - #### getSubSingleBenchmarkIndex

          public int getSubSingleBenchmarkIndex()

    - #### getEffectiveSubSingleStatisticMap

          public Map<StatisticType,​SubSingleStatistic> getEffectiveSubSingleStatisticMap()

    - #### getUsedMemoryAfterInputSolution

          public Long getUsedMemoryAfterInputSolution()

      Returns:
        null if `PlannerBenchmarkResult.hasMultipleParallelBenchmarks()` return true

    - #### setUsedMemoryAfterInputSolution

          public void setUsedMemoryAfterInputSolution​(Long usedMemoryAfterInputSolution)

    - #### getSucceeded

          public Boolean getSucceeded()

    - #### setSucceeded

          public void setSucceeded​(Boolean succeeded)

    - #### getScore

          public Score<?> getScore()

    - #### setScore

          public void setScore​(Score<?> score)

    - #### getTimeMillisSpent

          public long getTimeMillisSpent()

    - #### setTimeMillisSpent

          public void setTimeMillisSpent​(long timeMillisSpent)

    - #### getScoreCalculationCount

          public long getScoreCalculationCount()

    - #### setScoreCalculationCount

          public void setScoreCalculationCount​(long scoreCalculationCount)

    - #### getScoreExplanationSummary

          public String getScoreExplanationSummary()

    - #### setScoreExplanationSummary

          public void setScoreExplanationSummary​(String scoreExplanationSummary)

    - #### getRanking

          public Integer getRanking()

    - #### setRanking

          public void setRanking​(Integer ranking)

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `BenchmarkResult`
      Returns:
        never null, filename safe

    - #### hasAllSuccess

          public boolean hasAllSuccess()

      Specified by:
        `hasAllSuccess` in interface `BenchmarkResult`
      Returns:
        true if all child benchmarks were a success and the variable is initialized

    - #### isInitialized

          public boolean isInitialized()

    - #### hasAnyFailure

          public boolean hasAnyFailure()

      Specified by:
        `hasAnyFailure` in interface `BenchmarkResult`
      Returns:
        true if there is a failed child benchmark and the variable is initialized

    - #### isScoreFeasible

          public boolean isScoreFeasible()

    - #### getScoreCalculationSpeed

          public Long getScoreCalculationSpeed()

    - #### isWinner

          public boolean isWinner()

    - #### getSubSingleStatistic

          public SubSingleStatistic getSubSingleStatistic​(StatisticType statisticType)

    - #### getAverageScore

          public Score<?> getAverageScore()

      Specified by:
        `getAverageScore` in interface `BenchmarkResult`

    - #### getResultDirectoryName

          public String getResultDirectoryName()

      Specified by:
        `getResultDirectoryName` in interface `BenchmarkResult`
      Returns:
        the name of the directory that holds the benchmark's results

    - #### getResultDirectory

          public File getResultDirectory()

      Specified by:
        `getResultDirectory` in interface `BenchmarkResult`
      Returns:
        the benchmark result directory as a file

    - #### makeDirs

          public void makeDirs()

    - #### accumulateResults

          public void accumulateResults​(BenchmarkReport benchmarkReport)

    - #### createMerge

          protected static SubSingleBenchmarkResult createMerge​(SingleBenchmarkResult singleBenchmarkResult,
                                                                SubSingleBenchmarkResult oldResult,
                                                                int subSingleBenchmarkIndex)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`